package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("查询营养配餐信息返回")
public class HealthCateringVO {
   @ApiModelProperty("营养配餐id")
   private Long healthCateringId;
   @ApiModelProperty("指导营养师id")
   private Long adviserId;
   @ApiModelProperty("指导营养师名称")
   private String adviserName;
   @ApiModelProperty("执行模式: 1- 以星期为单位重复 2-指定星期")
   private Integer exeMode;
   @ApiModelProperty("是否可见: 1-是,2否")
   private Integer ifVisible;
   @ApiModelProperty("执行开始日期 yyyy-MM-dd")
   private LocalDate exeStartDate;
   @ApiModelProperty("执行结束日期 yyyy-MM-dd")
   private LocalDate exeEndDate;
   @ApiModelProperty("配餐时间")
   private LocalDateTime uptime;
   @ApiModelProperty("第几天(1-7天)")
   private Integer detailDay;
   @ApiModelProperty("单日营养元素分析")
   private List<HealthNutritionVO> healthNutritionVOS;
   @ApiModelProperty("健康菜谱详情")
   private List<HealthRecipeDetailVO> healthRecipeDetailVOList;

   public Long getHealthCateringId() {
      return this.healthCateringId;
   }

   public Long getAdviserId() {
      return this.adviserId;
   }

   public String getAdviserName() {
      return this.adviserName;
   }

   public Integer getExeMode() {
      return this.exeMode;
   }

   public Integer getIfVisible() {
      return this.ifVisible;
   }

   public LocalDate getExeStartDate() {
      return this.exeStartDate;
   }

   public LocalDate getExeEndDate() {
      return this.exeEndDate;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getDetailDay() {
      return this.detailDay;
   }

   public List<HealthNutritionVO> getHealthNutritionVOS() {
      return this.healthNutritionVOS;
   }

   public List<HealthRecipeDetailVO> getHealthRecipeDetailVOList() {
      return this.healthRecipeDetailVOList;
   }

   public void setHealthCateringId(final Long healthCateringId) {
      this.healthCateringId = healthCateringId;
   }

   public void setAdviserId(final Long adviserId) {
      this.adviserId = adviserId;
   }

   public void setAdviserName(final String adviserName) {
      this.adviserName = adviserName;
   }

   public void setExeMode(final Integer exeMode) {
      this.exeMode = exeMode;
   }

   public void setIfVisible(final Integer ifVisible) {
      this.ifVisible = ifVisible;
   }

   public void setExeStartDate(final LocalDate exeStartDate) {
      this.exeStartDate = exeStartDate;
   }

   public void setExeEndDate(final LocalDate exeEndDate) {
      this.exeEndDate = exeEndDate;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setDetailDay(final Integer detailDay) {
      this.detailDay = detailDay;
   }

   public void setHealthNutritionVOS(final List<HealthNutritionVO> healthNutritionVOS) {
      this.healthNutritionVOS = healthNutritionVOS;
   }

   public void setHealthRecipeDetailVOList(final List<HealthRecipeDetailVO> healthRecipeDetailVOList) {
      this.healthRecipeDetailVOList = healthRecipeDetailVOList;
   }
}
